zenilib: zenilib/jni/external/sdl/src/video/psp/SDL_pspvideo.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
SDL_pspvideo.h File Reference
`#include <GLES/egl.h>`
`#include "SDL_config.h"`
`#include "../SDL_sysvideo.h"`

Go to the source code of this file.

## Classes

struct | SDL_DisplayData
struct | SDL_VideoData
struct | SDL_WindowData

## Typedefs

typedef struct SDL_DisplayData | SDL_DisplayData
typedef struct SDL_VideoData | SDL_VideoData
typedef struct SDL_WindowData | SDL_WindowData

## Functions

int | PSP_CreateWindow (_THIS, SDL_Window *window)
int | PSP_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | PSP_DestroyWindow (_THIS, SDL_Window *window)
void | PSP_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
SDL_bool | PSP_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
SDL_GLContext | PSP_GL_CreateContext (_THIS, SDL_Window *window)
void | PSP_GL_DeleteContext (_THIS, SDL_GLContext context)
void * | PSP_GL_GetProcAddress (_THIS, const char *proc)
int | PSP_GL_GetSwapInterval (_THIS)
int | PSP_GL_LoadLibrary (_THIS, const char *path)
int | PSP_GL_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | PSP_GL_SetSwapInterval (_THIS, int interval)
void | PSP_GL_SwapWindow (_THIS, SDL_Window *window)
void | PSP_GL_UnloadLibrary (_THIS)
SDL_bool | PSP_HasScreenKeyboardSupport (_THIS)
void | PSP_HideScreenKeyboard (_THIS, SDL_Window *window)
void | PSP_HideWindow (_THIS, SDL_Window *window)
SDL_bool | PSP_IsScreenKeyboardShown (_THIS, SDL_Window *window)
void | PSP_MaximizeWindow (_THIS, SDL_Window *window)
void | PSP_MinimizeWindow (_THIS, SDL_Window *window)
void | PSP_RaiseWindow (_THIS, SDL_Window *window)
void | PSP_RestoreWindow (_THIS, SDL_Window *window)
int | PSP_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
void | PSP_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | PSP_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | PSP_SetWindowPosition (_THIS, SDL_Window *window)
void | PSP_SetWindowSize (_THIS, SDL_Window *window)
void | PSP_SetWindowTitle (_THIS, SDL_Window *window)
void | PSP_ShowScreenKeyboard (_THIS, SDL_Window *window)
void | PSP_ShowWindow (_THIS, SDL_Window *window)
int | PSP_VideoInit (_THIS)
void | PSP_VideoQuit (_THIS)

## Typedef Documentation

typedef struct SDL_DisplayData SDL_DisplayData

typedef struct SDL_VideoData SDL_VideoData

typedef struct SDL_WindowData SDL_WindowData

## Function Documentation

int PSP_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int PSP_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

void PSP_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

SDL_bool PSP_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

SDL_GLContext PSP_GL_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

Definition at line 76 of file SDL_pspgl.c.

References _this, SDL_VideoDevice::alpha_size, SDL_VideoDevice::blue_size, SDL_GLDriverData::context, context, SDL_VideoDevice::depth_size, SDL_GLDriverData::display, display, SDL_Window::driverdata, EGL_ALPHA_SIZE, EGL_BLUE_SIZE, EGL_DEPTH_SIZE, EGL_GREEN_SIZE, EGL_HEIGHT, EGL_NONE, EGL_RED_SIZE, EGL_STENCIL_SIZE, EGL_WIDTH, EGLCHK, eglChooseConfig(), eglCreateContext(), eglCreateWindowSurface(), eglGetConfigAttrib(), eglGetDisplay(), eglInitialize(), eglMakeCurrent(), SDL_Window::flags, SDL_VideoDevice::gl_config, SDL_VideoDevice::gl_data, SDL_VideoDevice::green_size, i, NULL, SDL_VideoDevice::red_size, SDL_SetError(), SDL_TRUE, SDL_WINDOW_FULLSCREEN, SDL_VideoDevice::stencil_size, SDL_GLDriverData::surface, and SDL_WindowData::uses_gles.

void PSP_GL_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

Definition at line 181 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, SDL_VideoDevice::driverdata, SDL_VideoData::egl_initialized, EGL_NO_CONTEXT, EGL_NO_DISPLAY, EGL_TRUE, eglDestroyContext(), SDL_VideoDevice::gl_data, if(), SDL_SetError(), and SDL_TRUE.

void* PSP_GL_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

Definition at line 61 of file SDL_pspgl.c.

References eglGetProcAddress().

int PSP_GL_GetSwapInterval | ( | _THIS |  | ) |

Definition at line 169 of file SDL_pspgl.c.

References _this, SDL_VideoDevice::gl_data, and SDL_GLDriverData::swapinterval.

int PSP_GL_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

Definition at line 45 of file SDL_pspgl.c.

References _this, SDL_VideoDevice::driver_loaded, and SDL_VideoDevice::gl_config.

int PSP_GL_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

Definition at line 144 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::context, SDL_GLDriverData::display, eglMakeCurrent(), SDL_VideoDevice::gl_data, SDL_SetError(), and SDL_GLDriverData::surface.

int PSP_GL_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

Definition at line 155 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, EGL_TRUE, eglSwapInterval(), SDL_VideoDevice::gl_data, SDL_SetError(), and SDL_GLDriverData::swapinterval.

void PSP_GL_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

Definition at line 175 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, eglSwapBuffers(), SDL_VideoDevice::gl_data, and SDL_GLDriverData::surface.

void PSP_GL_UnloadLibrary | ( | _THIS |  | ) |

Definition at line 67 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, eglTerminate(), and SDL_VideoDevice::gl_data.

SDL_bool PSP_HasScreenKeyboardSupport | ( | _THIS |  | ) |

void PSP_HideScreenKeyboard | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

SDL_bool PSP_IsScreenKeyboardShown | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int PSP_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |

void PSP_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

void PSP_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

void PSP_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_ShowScreenKeyboard | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void PSP_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int PSP_VideoInit | ( | _THIS |  | ) |

void PSP_VideoQuit | ( | _THIS |  | ) |